Summary:        Generic IMAP server compliancy tester
Name:           imaptest
Version:        20210705
Release:        4%{?dist}
License:        MIT
URL:            https://www.imapwiki.org/ImapTest
Source0:        https://dovecot.org/nightly/%{name}/%{name}-latest.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  make gcc autoconf automake libtool
BuildRequires:  dovecot-devel >= 2.3.15

%description
This packages provides a generic IMAP server compliancy tester that works with all IMAP servers. 
It supports stress testing with state tracking, scripted testing and benchmarking. When stress 
testing with state tracking ImapTest sends random commands to the server and verifies that 
server's output is correct. With script tests, ImapTest runs a list of predefined scripted tests 
and verifies that server returns expected output.

Examples and details are provided online at: https://www.imapwiki.org/ImapTest

%prep
%autosetup

%build
autoreconf -i
sed -e 's@\(^LIBDOVECOT .*\)@\1 -Wl,-rpath -Wl,%{_libdir}/dovecot@' -i src/Makefile.in

%configure --with-dovecot=%{_libdir}/dovecot
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_datadir}/%{name}/
cp -pr src/tests/ %{buildroot}%{_datadir}/%{name}/

%check
%{buildroot}%{_bindir}/%{name} --help

%files
%license COPYING COPYING.MIT
%doc AUTHORS ChangeLog profile.conf pop3-profile.conf
%{_bindir}/%{name}
%{_datadir}/%{name}/

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20210705-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20210705-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 20210705-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 28 2023 Wang Guodong <gordonwwang@tencent.com> - 20210705-1
- initial build
